Junos OS

Expand all | Collapse all

J-web on EX3400 will not work. Process not starting

  • 1.  J-web on EX3400 will not work. Process not starting

    Posted 10-02-2020 06:15

    Hello all...this is normally not a problem...but apon updating Jweb on a EX3400 ( running 18.2R3-S2.9)....it not longer works. Long story short, the update ended up in a loop, so I removed jweb software.

    request system software delete jweb-ex-app and request system software delete jweb-ex

    Added new package

    request system software add /var/tmp/den/jweb-ex-app-x86-32-18.2A1.tgz

    When restarting jweb I get this

    root@NMS-IDF-1> restart web-management
    error: Web management gatekeeper process is not running
    error: Web management gatekeeper process was not restarted

    The service \process never starts

    Also removed again and installed the newest package

    jweb-ex-app-common-20.3A1.tgz

    Same thing ...will not start. 

     

    Do you think deleting /packages/mnt/jweb-ex32-7b22b86f, which doesn't get removed when you remove the package, would help?? Can this safely be deleted ?

     

    Anyway,,,,appreciate any help !

    Thanks....Dennis



      

     



  • 2.  Re: J-web on EX3400 will not work. Process not starting

     
    Posted 10-02-2020 11:25

    Hi @dtopojr,

     

    J-web has some issues with these versions on EX3400/2300, sometimes package is not compatible like the following PR,

    https://prsearch.juniper.net/InfoCenter/index?page=prcontent&id=PR1513612

     

    I have seen other issues as well, like j-web not starting or simply not displaying anything from the page, my best advise will be to move the device to one of those versions, as a recommendation move to 20.1 code since I have seen it working there.

     

    If this works for you please mark as "Solved" so we can help others too.

     

    Regards,

    Jeff



  • 3.  Re: J-web on EX3400 will not work. Process not starting

    Posted 10-05-2020 06:45

    Thanks Jeff....that's helpful. Just to clarify.... does the Jweb package version need to match the installed JunOS major version ? 

     

    Ie- 18.2A1 for Junos 18.2R3-S2.9    ??

     

    Thanks again,,,,Dennis...



  • 4.  Re: J-web on EX3400 will not work. Process not starting

    Posted 10-08-2020 07:42

    Hi Dennis,

     

    An Application package is compatible only with the corresponding major release of Junos OS.

    Please check the compatibility matrix in next document:

    https://www.juniper.net/documentation/en_US/release-independent/junos/topics/task/troubleshooting/ex-series-j-web-application-package-faq.html

    It says, 18.2A1 is compatible with 18.2R1

    And if you use 18.2R1 and later, Associated J-Web Application Package Release should be 18.2A2

     

    Thanks,

    Deimos.



  • 5.  RE: J-web on EX3400 will not work. Process not starting

    Posted 8 days ago
    The version of jweb listed as 18.2A1 for EX3400 seems to be an x86_32 instead of ARM package.

    For me it is failing when installing - same as the PR linked below

    root@sw1-ops> request system software add /var/tmp/jweb-ex-app-x86-32-18.2A1.tgz

    Verified jweb-ex-app-x86-32-18.2A1 signed by PackageProductionEc_2018 method ECDSA256+SHA256
    ERROR: package jweb-ex-app-x86-32-18.2A1 is incompatible: x86 != arm
    ERROR: Failed to add jweb-ex-app-x86-32-18.2A1.tgz

    I installed 18.2A2 - and it tells me there's an update availble to 18.2A1 ! Ignore updates for awhile.


  • 6.  RE: J-web on EX3400 will not work. Process not starting

     
    Posted 8 days ago
    Hi jtessier,

    Ensure the Junos on the EX is one where the PR1513612 is fixed and use the JWEB image 18.2A2.  Check the release notes here:
    https://www.juniper.net/documentation/en_US/junos/information-products/topic-collections/ex-series/release-notes/ex-j-web-182-A2/rn-ex-series-j-web-182A2.pdf
    https://prsearch.juniper.net/InfoCenter/index?page=prcontent&id=PR1513612

    Hope this helps.
    Regards,
    -r.
    --------------------------------------------------
    If this solves your problem, please mark this post as "Accepted Solution."
    Kudos are always appreciated :).